Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.pm.none
Interface PersistenceManagerMBean

All Superinterfaces:
  CacheStoreMBean, PersistenceManagerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  PersistenceManager

public interface PersistenceManagerMBean
extends org.jboss.system.ServiceMBean, PersistenceManagerMBean, CacheStoreMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.mq.pm.PersistenceManagerMBean
`OBJECT_NAME`

Method Summary
`javax.management.ObjectName` | `getDelegatePM()` Retrieve the delegate persistence manager
`void` | `setDelegatePM(javax.management.ObjectName delegateName)` Set the delegate persistence manager

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.mq.pm.PersistenceManagerMBean
`getInstance, getMessageCache, setMessageCache`

Methods inherited from interface org.jboss.mq.pm.CacheStoreMBean
`getInstance`

Method Detail

### getDelegatePM

    public javax.management.ObjectName getDelegatePM()

  Retrieve the delegate persistence manager

  Returns:
    the object name of the delegate persistence manager

### setDelegatePM

    public void setDelegatePM(javax.management.ObjectName delegateName)

  Set the delegate persistence manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.